MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029011Open CASCADE[OCCT] OCCT:DRAWpublic2017-08-17 18:052017-09-29 16:29
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0029011: Draw Harness - simplify diffimage command syntax
DescriptionCurrent syntax of diffimage command forces several parameters being mandatory (toleranceOfColor, blackWhite, borderFilter), while they are actually not used in practice:
diffimage imageFile1 imageFile2 toleranceOfColor(0..1) blackWhite(1|0) borderFilter(1|0) [diffImageFile]


It is desired to refactor command syntax to make theses parameters optional.

diffimage can be also extended with an option for displaying compared images and difference in 3D viewer.
In this case, Draw Harness can be used for image comparison as usual difftool (e.g. for git):
call "c:\occt\env.bat"
cmd /c "echo wm withdraw .; pload VISUALIZATION; diffimage %1 %2 -display D/Diff/%~n2 i1 i2 id -exitOnClose 
| DRAWEXE.exe"


In addition, command vinit uses uncommon syntax for passing arguments in form argument=value confusing user input (considering syntax of other commands within ViewerTest).
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Filespng file icon img_diff.png (45,776 bytes) 2017-08-17 18:07

- Relationships
related to 0029009closedabv Configuration - provide a way to get visual dif of SVG images 

-  Notes
(0069554)
git (administrator)
2017-08-17 18:18

Branch CR29011 has been created by kgv.

SHA-1: a25d3845d03240d11048e4b74dce108895f83ed2


Detailed log of new commits:

Author: kgv
Date: Thu Aug 17 18:18:05 2017 +0300

    0029011: Draw Harness - simplify diffimage command syntax
    
    Command diffimage now accepts the following syntax:
      diffimage imageFile1 imageFile2 [diffImageFile]
                [-toleranceOfColor {0..1}=0] [-blackWhite {on|off}=off] [-borderFilter {on|off}=off]
                [-display viewName prsName1 prsName2 prsNameDiff] [-exitOnClose]
    
    Command vinit now accepts the following syntax:
      vinit [-name viewName] [-left leftPx] [-top topPx] [-width widthPx] [-height heightPx]
            [-exitOnClose] [-display displayName]
    
    Compatibility with old syntax is also preserved.
    diffimage now can display compared images in 3D viewer.
    The new option -exitOnClose can be used to exit application when closing the 3D View.
(0069557)
git (administrator)
2017-08-17 18:44

Branch CR29011 has been updated forcibly by kgv.

SHA-1: c5e603131df2a6e04f2c6ddc9c9affa2a5ec59fb
(0069593)
git (administrator)
2017-08-18 16:24

Branch CR29011 has been updated forcibly by kgv.

SHA-1: 29d8eae29a724c65b34b9f367b11eb45a531f6f9
(0069680)
kgv (developer)
2017-08-19 15:29

Please take the patch.

http://jenkins-test-10.nnov.opencascade.com/view/CR29011-master-KGV [^]
(0069702)
bugmaster (administrator)
2017-08-21 12:01

Combination -
OCCT branch : CR29011 : SHA-1: 29d8eae29a724c65b34b9f367b11eb45a531f6f9
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:

OCCT :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Products :
Linux: 5 (5 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:

Windows:
OCCT
Total CPU difference: 17330.010689098726 / 17295.75286949859 [+0.20%]
Producst
Total CPU difference: 7688.758886599963 / 7720.302288799964 [-0.41%]

Linux:
OCCT
Total CPU difference: 19451.89000000023 / 19456.560000000376 [-0.02%]
Products
Total CPU difference: 7703.40000000009 / 7725.120000000072 [-0.28%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0069905)
git (administrator)
2017-08-25 16:13

Branch CR29011 has been deleted by kgv.

SHA-1: 29d8eae29a724c65b34b9f367b11eb45a531f6f9

- Related Changesets
occt: master fd3f6bd0
Timestamp: 2017-08-17 15:18:05
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029011: Draw Harness - simplify diffimage command syntax

Command diffimage now accepts the following syntax:
  diffimage imageFile1 imageFile2 [diffImageFile]
            [-toleranceOfColor {0..1}=0] [-blackWhite {on|off}=off] [-borderFilter {on|off}=off]
            [-display viewName prsName1 prsName2 prsNameDiff] [-exitOnClose]

Command vinit now accepts the following syntax:
  vinit [-name viewName] [-left leftPx] [-top topPx] [-width widthPx] [-height heightPx]
        [-exitOnClose] [-display displayName]

Compatibility with old syntax is also preserved.
diffimage now can display compared images in 3D viewer.
The new option -exitOnClose can be used to exit application when closing the 3D View.
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-17 18:05 kgv New Issue
2017-08-17 18:05 kgv Assigned To => kgv
2017-08-17 18:07 kgv File Added: img_diff.png
2017-08-17 18:18 git Note Added: 0069554
2017-08-17 18:19 kgv Relationship added related to 0029009
2017-08-17 18:20 kgv Description Updated View Revisions
2017-08-17 18:44 git Note Added: 0069557
2017-08-18 16:24 git Note Added: 0069593
2017-08-19 15:29 kgv Note Added: 0069680
2017-08-19 15:29 kgv Assigned To kgv => bugmaster
2017-08-19 15:29 kgv Status new => resolved
2017-08-19 15:29 kgv Status resolved => reviewed
2017-08-21 12:01 bugmaster Note Added: 0069702
2017-08-21 12:01 bugmaster Status reviewed => tested
2017-08-21 12:01 bugmaster Test case number => Not required
2017-08-25 15:02 bugmaster Changeset attached => occt master fd3f6bd0
2017-08-25 15:02 bugmaster Status tested => verified
2017-08-25 15:02 bugmaster Resolution open => fixed
2017-08-25 16:13 git Note Added: 0069905
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker